#!/bin/csh

if ( -f '.lock' ) then
  echo 'ATTENTION: vous etes sans doute en train de compiler le modele par ailleurs'
  echo "Attendez que la premiere compilation soit terminee pour relancer la suivante."
  echo "Si vous etes sur que vous ne compilez pas le modele par ailleurs,"
  echo  vous pouvez continuer en repondant oui.
  echo "Voulez-vous vraiment continuer?"

  if ( $< == "oui" ) then
    
  else
    exit
  endif
else
  echo "compilation en cours..." > '.lock'
endif

#set arch=$1


fcm build

\rm -f '.lock' 
